Get Affiliate
An affiliate with its program memberships. Another company's or mode's affiliate is 404. The affiliate's linked customer carries name and email only when the caller also holds customers:read.
GET
/affiliates/{id}An affiliate with its program memberships. Another company's or mode's affiliate is 404. The affiliate's linked customer carries name and email only when the caller also holds customers:read.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
Opaque affiliate ID.
Match
^aff_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/affiliates/string"{ "data": { "id": "string", "livemode": true, "handle": "string", "status": "invited", "display_name": "string", "email": "string", "notes": "string", "identity_attached": true, "listed_in_combined_view": true, "customer": { "id": "string", "name": "string", "email": "string" }, "memberships": [ { "program_id": "string", "status": "pending", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}